Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net.cache
Class SerializationPagedCache.FakeBinaryStore

`java.lang.Object
com.tangosol.net.cache.SerializationPagedCache.FakeBinaryStore`

All Implemented Interfaces:
  BinaryStore

Enclosing class:
  SerializationPagedCache

      public static class SerializationPagedCache.FakeBinaryStore

extends Object
implements BinaryStore

A lite BinaryStore implementation used when the real underlying BinaryStore gets destroyed.

Constructor Summary
`SerializationPagedCache.FakeBinaryStore()`

Method Summary
`void` | `erase(Binary binKey)` Remove the specified key from the underlying store if present.
`void` | `eraseAll()` Remove all data from the underlying store.
`protected Map` | `getBinaryMap()` Obtain the map that stores the binary values held by this BinaryStore.
`Iterator` | `keys()` Iterate all keys in the underlying store.
`Binary` | `load(Binary binKey)` Return the value associated with the specified key, or null if the key does not have an associated value in the underlying store.
`void` | `store(Binary binKey, Binary binValue)` Store the specified value under the specific key in the underlying store.
`String` | `toString()` Returns a string representation of the object.

Constructor Detail

### SerializationPagedCache.FakeBinaryStore

    public SerializationPagedCache.FakeBinaryStore()

Method Detail

### load

    public Binary load(Binary binKey)

  Return the value associated with the specified key, or null if the key does not have an associated value in the underlying store.
  Specified by:
    `load` in interface `BinaryStore`
  Parameters:
    `binKey` - key whose associated value is to be returned
  Returns:
    the value associated with the specified key, or `null` if no value is available for that key

### store

    public void store(Binary binKey,
                      Binary binValue)

  Store the specified value under the specific key in the underlying store. This method is intended to support both key/value creation and value update for a specific key.
  Specified by:
    `store` in interface `BinaryStore`
  Parameters:
    `binKey` - key to store the value under
    `binValue` - value to be stored

### erase

    public void erase(Binary binKey)

  Remove the specified key from the underlying store if present.
  Specified by:
    `erase` in interface `BinaryStore`
  Parameters:
    `binKey` - key whose mapping is to be removed from the map

### eraseAll

    public void eraseAll()

  Remove all data from the underlying store.
  Specified by:
    `eraseAll` in interface `BinaryStore`

### keys

    public Iterator keys()

  Iterate all keys in the underlying store.
  Specified by:
    `keys` in interface `BinaryStore`
  Returns:
    a read-only iterator of the keys in the underlying store

### toString

    public String toString()

  Returns a string representation of the object.
  Returns:
    a string representation of the object

### getBinaryMap

    protected Map getBinaryMap()

  Obtain the map that stores the binary values held by this BinaryStore.
  Returns:
    a map, keyed by Binary key with a value of Binary.

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.